Thanks Buzzard, I feel honoured - but there are many more experienced programmers on this site, who are just "less-active" than me.
Good luck with your modifications mate
Cheers Alan,
Great idea to get around the point choosing, I didn't really spend much time thinking about that, but great solution
Lee i just thought about viewctr because i use it sometimes to place text for calculation routines, that way i don't have to actually pick a placement point, since i'm going to delete it as soon as i fill in all my information. Nice one Lee
Here's a bit of my boredom mixed with your boredom .
(defun c:bored (/ cir cnt gr lst n d) (setq lst (list (getvar 'viewctr) (getvar 'viewctr)) cnt 0 ) (while (eq 5 (car (setq gr (grread nil 5 1)))) (redraw) (setq cir nil n 0 lst (append lst (list (last lst) (cadr gr))) cnt (1+ cnt) ) (if (< 100 cnt) (setq lst (cddr lst)) ) (repeat 50 (setq d (/ (distance (car lst) (last lst)) 4.)) (repeat 4 (setq cir (cons (polar (car lst) (* (setq n (1+ n)) (/ (* pi 2) 50)) d) cir)) (setq d (/ d 2.)) ) ) (grvecs (append (list (rem (/ cnt 100) 255)) lst cir)) ) (princ)) haha - brilliant Ron
页:
1
[2]